package com.ywt.outpatient.domain.models;

import java.math.BigDecimal;
import java.util.Date;

public class OrderCommonInfo {
    private int orderId;

    private String orderNo;

    private String patientName;

    private int patientId;

    private BigDecimal amount;

    private int status;

    private int paymentStatus;

    private Date createTime;

    private int orderType;

    private String orderTitle;

    private int fromDoctorId;

    private int toDoctorId;

    private int userId;

    public int getOrderId() {
        return orderId;
    }

    public void setOrderId(int orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public int getPatientId() {
        return patientId;
    }

    public void setPatientId(int patientId) {
        this.patientId = patientId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(int paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getOrderType() {
        return orderType;
    }

    public void setOrderType(int orderType) {
        this.orderType = orderType;
    }

    public String getOrderTitle() {
        return orderTitle;
    }

    public void setOrderTitle(String orderTitle) {
        this.orderTitle = orderTitle;
    }

    public int getFromDoctorId() {
        return fromDoctorId;
    }

    public void setFromDoctorId(int fromDoctorId) {
        this.fromDoctorId = fromDoctorId;
    }

    public int getToDoctorId() {
        return toDoctorId;
    }

    public void setToDoctorId(int toDoctorId) {
        this.toDoctorId = toDoctorId;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }
}
